> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-money/linkage/transfer-to-bank.md).

# Transfer to Bank

## Transfer to Bank Linkage

### E2E Flow <a href="#e2e-flow" id="e2e-flow"></a>

```mermaid
flowchart TD
    Start([Partner Initiation]) --> DecLink{"Already Linkage?"}
    
    DecLink -- No --> LinkProcess["Linkage Process <br> (Refer to Linkage Flow)"]
    LinkProcess -- Done --> DecToken{"Has B2B2C Token?"}
    
    DecLink -- Yes --> DecToken
    
    DecToken -- No --> CallB2B2CToken["Call B2B2C Token API"]
    CallB2B2CToken --> CallInquiryField
    
    DecToken -- Yes --> CallInquiryField["Customer fill inquiry field, <br> Call 'Transfer to Bank- <br> Account Inquiry'"]
    
    CallInquiryField --> RespInquiry["Response, <br> Partner display inquiry info."]
    RespInquiry --> DecRespTrue{"Reponse true ?"}
    
    DecRespTrue -- N --> CallInquiryField
    DecRespTrue -- Y --> CustInputConfirmation[/"Customer input confirmation <br> field, then submit"/]
    
    CustInputConfirmation --> CallWidgetPin["Call 'Widget PIN <br> Payment'"]
    CallWidgetPin --> CustSubmitPin[/"Customer submit PIN"/]
    
    CustSubmitPin -- Y --> DecWrongPin{"Wrong PIN <br> 3X"}
    DecWrongPin -- "Account Soft Block <br> Need Forgot PIN" --> Finished([Finished])
    
    CustSubmitPin -- N --> CallTransferTx["Call 'Transfer to <br> Bank-Payment <br> Transaction'"]
    
    CallTransferTx --> RespPayment["Response Payment"]
    RespPayment --> DecReceiveResp{"Receive <br> Response ?"}
    
    DecReceiveResp -- Y --> Finished
    DecReceiveResp -- N --> CallStatusInquiry["Call 'Transfer status <br> inquiry'"]
    CallStatusInquiry --> Finished
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/transfer-to-bank.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
